Bug 690953 - Review Request: dexter - Address Book that goes hand in hand with Postler
Summary: Review Request: dexter - Address Book that goes hand in hand with Postler
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 693921 (view as bug list)
Depends On:
Blocks: 690954
TreeView+ depends on / blocked
 
Reported: 2011-03-25 22:45 UTC by Thomas Moschny
Modified: 2011-04-21 22:25 UTC (History)
6 users (show)

Fixed In Version: dexter-0.18-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-18 04:07:04 UTC
mail: fedora-review+


Attachments (Terms of Use)

Description Thomas Moschny 2011-03-25 22:45:23 UTC
Spec URL: http://thm.fedorapeople.org/dexter/dexter.spec
SRPM URL: http://thm.fedorapeople.org/dexter/dexter-0.18-1.fc14.src.rpm

Description:
Dexter is a very simple, easy to use address book, designed with the
home user in mind. This personal contact manager integrates with
Postler, and can import and export contacts in vCard format.

Comment 1 Fabian Affolter 2011-03-26 16:38:12 UTC
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary RPMs on at least one
supported architecture
     Tested on: F14/x86_64
 [x] Rpmlint output:
     Source RPM:
     [fab@laptop023 SRPMS]$ rpmlint dexter-0.18-1.fc14.src.rpm 
     dexter.src: W: spelling-error %description -l en_US vCard -> v Card, Card, card
     1 packages and 0 specfiles checked; 0 errors, 1 warnings.
     Binary RPM(s):
     dexter.noarch: W: spelling-error %description -l en_US vCard -> v Card, Card, card
     dexter.noarch: W: no-manual-page-for-binary dexter
     dexter.noarch: W: no-manual-page-for-binary dexter-server
     1 packages and 0 specfiles checked; 0 errors, 3 warnings.
 [x] Package is not relocatable
 [x] Buildroot is correct (if it's still used)
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license
     License type: GPLv3
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc

 [x] Spec file is legible and written in American English
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL
     Upstream source: 740a7781477afad1492f9aa362ff2cee  dexter_0.18.tar.gz
     Build source:    740a7781477afad1492f9aa362ff2cee  dexter_0.18.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] Architecture independent packages have: BuildArch: noarch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.  %find_lang used for locales
 [-] %{optflags} or RPM_OPT_FLAGS are honoured
 [-] ldconfig called in %post and %postun if required
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT (if it's still used)
 [x] Package must own all directories that it creates
 [x] Package requires other packages for directories it uses
 [x] Package does not own files or directories owned by other packages
 [x] Package does not contain duplicates in %files
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section
 [x] Package uses nothing in %doc for runtime
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT (if it's still used)
 [-] Included tests passed successfully 
 [x] Package consistently uses macros
 [x] Package contains code, or permissable content
 [x] Included filenames are in UTF-8

 [-] Large documentation files are in a -doc subpackage, if required
 [-] Header files (.h) in -devel subpackage, if present
 [-] Fully versioned dependency in subpackage, if present
 [-] Static libraries (.a) in -static subpackage, if present
 [-] Package requires pkgconfig, if .pc files are present
 [-] Development .so files in -devel subpackage, if present
 [x] Package does not contain any libtool archives (.la)
 [-] -debuginfo subpackage is present and looks complete
 [x] No pre-built binaries (.a, .so*, executable)
 
 [x] Package contains a properly installed .desktop file if it is a GUI application
 [x] Follows desktop entry spec
 [x] Valid .desktop Name
 [x] Valid .desktop GenericName
 [x] Valid .desktop Categories
 [x] Valid .desktop StartupNotify
 [x] .desktop file installed with desktop-file-install in %install

=== SUGGESTED ITEMS ===
 [-] Timestamps preserved with cp and install
 [-] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged
 [x] Package does not include license text files separate from upstream
 [x] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available
 [x] Package should compile and build into binary RPMs on all supported
architectures.
     Tested:  http://koji.fedoraproject.org/koji/taskinfo?taskID=2948543
 [x] Package functions as described
 [!] Scriptlets must be sane, if used
 [-] The placement of pkgconfig(.pc) files is correct
 [-] File based requires are sane
 [x] Changelog in allowed format

- The icon named in the .desktop file is not showing up. Perhaps the image is only available on ubuntu.

Beside that I see no further blocker, package APPROVED

Comment 2 Thomas Moschny 2011-03-28 08:41:19 UTC
Thanks for the review!

Can you please set the fedora-review flag?

Comment 3 Fabian Affolter 2011-03-28 14:35:21 UTC
(In reply to comment #2)
> Can you please set the fedora-review flag?

Sorry, I missed that.

Comment 4 Thomas Moschny 2011-03-28 15:00:26 UTC
New Package SCM Request
=======================
Package Name: dexter
Short Description: A sexy, simple address book with end users in mind
Owners: thm
Branches: f13 f14 f15

Comment 5 Jason Tibbitts 2011-03-28 15:19:13 UTC
Git done (by process-git-requests).

Comment 6 Christoph Wickert 2011-03-28 18:49:43 UTC
Can you please change the description? I'm afraid that people find the word "sexy" harassing.

Comment 7 Christoph Wickert 2011-03-28 18:50:26 UTC
In Arch Linux it is "Address Book that goes hand in hand with Postler"

Comment 8 Fedora Update System 2011-03-28 21:42:31 UTC
dexter-0.18-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/dexter-0.18-2.fc14

Comment 9 Fedora Update System 2011-03-28 21:42:38 UTC
dexter-0.18-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/dexter-0.18-2.fc15

Comment 10 Fedora Update System 2011-03-28 21:42:49 UTC
dexter-0.18-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/dexter-0.18-2.fc13

Comment 11 Christoph Wickert 2011-03-28 22:29:53 UTC
Thanks for changing the description in the spec. Let's do this in bugzilla, too:

Package Change Request
======================
Package Name: dexter
New Short Description: Address Book that goes hand in hand with Postler

Comment 12 Fedora Update System 2011-03-29 03:32:49 UTC
dexter-0.18-2.fc15 has been pushed to the Fedora 15 testing repository.

Comment 13 Jason Tibbitts 2011-03-29 12:12:14 UTC
This SCM request is not valid.  You cannot change the summary of a package in
pkgdb using an SCM request (as we have no interface by which to change that
information).  These are processed by script, so please use _only_ the formats
given on http://fedoraproject.org/wiki/Package_SCM_admin_requests.

Comment 14 Christoph Wickert 2011-03-29 12:48:26 UTC
I'm sorry, to me this format looked correct because the wiki reads:

Package Change Requests for existing packages

To request:

    * [...]
    * other special git requests, changes to the description, etc 

[...]

The Package Name field is mandatory, and it is recommended to list the Owners. Please only include other fields which need to be changed or updated.

That's *exactly* what I did, so I wonder what the proper format would be.

Comment 15 Jason Tibbitts 2011-03-29 13:05:07 UTC
This text:

----
If you need other special changes done which cannot be handled by the template field, such as a package that was created with the wrong name that has never been imported or built, or otherwise out of the scope of the template please state your desire and justification below the template in your Bugzilla comment. 
----

Is intended to cover that case.  There's also the nice warning at the top:

----
Machine processing
SCM requests are processed by scripts. Please do not deviate from the prescribed formats or attempt to make up new fields. If you need special processing not indicated here, simply describe what you need in as much detail as possible and raise the flag as normal; an admin will read your request and process it manually. The scripts only look at the final request in a ticket, so please submit only one request at a time. If you need to change something before processing, simply paste in a new request and the previous one will be ignored.
----

And "New Short Description" is certainly a field you made up, so....

Anyway, since it's simply not possible for an SCM admin to change the description field, I've simply removed mention of it from the document.  pkgdb is intended to keep that information updated from what's in the rawhide packages, though that may not currently be enabled.  If you absolutely require that the description be changed immediately, please open an infrastructure ticket as someone with direct access to the database will have to make that change.  https://fedorahosted.org/fedora-infrastructure/

Comment 16 Thomas Moschny 2011-04-04 19:55:06 UTC
(In reply to comment #15)

> Anyway, since it's simply not possible for an SCM admin to change the
> description field, I've simply removed mention of it from the document.  pkgdb
> is intended to keep that information updated from what's in the rawhide
> packages, though that may not currently be enabled.  If you absolutely require
> that the description be changed immediately, please open an infrastructure
> ticket as someone with direct access to the database will have to make that
> change.  https://fedorahosted.org/fedora-infrastructure/

See https://fedorahosted.org/fedora-infrastructure/ticket/2703.

Comment 17 Christoph Wickert 2011-04-06 00:51:14 UTC
*** Bug 693921 has been marked as a duplicate of this bug. ***

Comment 18 Michel Alexandre Salim 2011-04-06 10:45:16 UTC
ps we have a patched python-distutils-extra now that no longer fails when no screen is available, so xvfb-run is no longer needed

Comment 19 Fedora Update System 2011-04-12 23:55:01 UTC
dexter-0.18-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/dexter-0.18-3.fc13

Comment 20 Fedora Update System 2011-04-12 23:56:56 UTC
dexter-0.18-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/dexter-0.18-3.fc14

Comment 21 Fedora Update System 2011-04-12 23:57:37 UTC
dexter-0.18-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/dexter-0.18-3.fc15

Comment 22 Fedora Update System 2011-04-18 04:06:58 UTC
dexter-0.18-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 23 Fedora Update System 2011-04-21 22:24:50 UTC
dexter-0.18-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 24 Fedora Update System 2011-04-21 22:25:16 UTC
dexter-0.18-3.fc13 has been pushed to the Fedora 13 stable repository.


Note You need to log in before you can comment on or make changes to this bug.